- Create solution for project
List all solutions in project
Get solution for project
Assign solution to project
Create solution for proje...
Returns all solutions for a project.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
Solution data
The accessToken received from the authResponse, returned when completing the embedded solution flow.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/solutions
Example body request to create a solution.
curl -i -X POST \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/solutions' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"accessToken": "3cca3b57-e388-4aaa-abe3-ecb1c0c8265f",
"businessManager": "SINCH_UK",
"details": {
"name": "Test name"
}
}'Response
Response when successfully creating a solution.
{ "solutions": [ { … }, { … }, { … } ], "failedSolutions": [] }
We'd love to hear from you!
Rate this content: